Bug 43818

Summary: PROPFIND on -w- collections returns 207 MULTI-STATUS with empty content
Product: Apache httpd-2 Reporter: Rafa&#322; Malinowski <malinowskirafal>
Component: mod_davAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal CC: wiml
Priority: P2 Keywords: MassUpdate, RFC
Version: 2.2.6   
Target Milestone: ---   
Hardware: Other   
OS: other   

Description Rafa&#322; Malinowski 2007-11-08 12:53:51 UTC
When doing a PROPFIND on a collection that has -w- or --- permissions for apache the result is a 207 
MULTI STATUS reponse with Content-Length=0 and no content.

It should return some content with 403 or 404 in <status> element.

How to reproduce:
1. set up a web-dav server
2. make a web-dav collection with any namy
3. use chmod 000 on that collection
4. make PROPFIND request on this collection

Actual results:
1. HTTP 207 MULTI STATUS response with no content

Expected results:
1. HTTP 207 MULTI STATUS response with XML content describing and 404 or 403 error on this 
resource
or 2. 403 or 404 HTTP response
Comment 1 Wim Lewis 2013-04-30 00:47:31 UTC
This precise bug seems to be fixed in httpd 2.4.4 and in 2.5-dev (r1477094): the server returns 403 Forbidden for a PROPFIND on a collection whose directory it can't read.

But a very similar problem still exists: if you do a PROPFIND on that collection's *parent*, with Depth: infinity (and DavDepthInfinity on in your config file), then you get an empty response --- no HTTP headers, status line, or content; the connection just drops.

Apache does log this message though:

[Mon Apr 29 17:43:34.153164 2013] [dav:error] [pid 57866] [client 127.0.0.1:58653] Provider encountered an error while streaming a multistatus PROPFIND response.  [404, #0]
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:30 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.